/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.command;

import java.util.Map;
import java.util.Optional;
import java.util.stream.Stream;

import org.springframework.stereotype.Service;

import de.ozgcloud.nachrichten.file.AttachmentFile;
import de.ozgcloud.nachrichten.postfach.PersistPostfachNachrichtService;
import de.ozgcloud.nachrichten.postfach.PostfachNachricht;
import de.ozgcloud.vorgang.attached_item.VorgangAttachedItem;
import de.ozgcloud.vorgang.attached_item.VorgangAttachedItemService;
import lombok.RequiredArgsConstructor;
import lombok.extern.log4j.Log4j2;

/**
 * @deprecated Temporally replacement for using GRPC Api by MailService
 */
@Deprecated
@Service("persistPostfachNachrichtByCommandService")
@RequiredArgsConstructor
@Log4j2
class PersistPostfachNachrichtByCommandService implements PersistPostfachNachrichtService {

	static final String CLIENT = "OzgCloud_NachrichtenManager";
	static final String ITEM_NAME = "PostfachMail";

	private final VorgangAttachedItemService attachedItemService;

	@Override
	public void persistNachricht(Optional<String> userId, PostfachNachricht nachricht) {
		throw new UnsupportedOperationException("Not implemented.");
	}

	@Override
	public Optional<Map<String, Object>> findById(String postfachNachrichtId) {
		return attachedItemService.findById(postfachNachrichtId).map(VorgangAttachedItem::getItem);
	}

	@Override
	public Stream<Map<String, Object>> findByVorgangAsMap(String vorgangId) {
		return attachedItemService.find(vorgangId, Optional.of(CLIENT), Optional.of(ITEM_NAME)).map(VorgangAttachedItem::getItem);
	}

	@Override
	public void patch(String postfachNachrichtId, Map<String, Object> propertyMap) {
		attachedItemService.forcePatch(postfachNachrichtId, propertyMap);
	}

	@Override
	public Map<String, Object> getById(String postfachNachrichtId) {
		return attachedItemService.getById(postfachNachrichtId).getItem();
	}

	@Override
	public String persistAttachment(String vorgangId, AttachmentFile attachment) {
		throw new UnsupportedOperationException("Not implemented. Use a gRPC service instead.");
	}

	@Override
	public Stream<PostfachNachricht> findRueckfragen(String servicekontoType, String postfachId) {
		throw new UnsupportedOperationException("Not implemented.");
	}

	@Override
	public String persistAnswer(String rueckfrageId, PostfachNachricht answer) {
		throw new UnsupportedOperationException("Not implemented.");
	}

	@Override
	public Stream<PostfachNachricht> findAnswers(String serviceKontoType, String postfachId, String rueckfrageId) {
		throw new UnsupportedOperationException("Not implemented.");
	}

}