/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.files;

import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.TypeAlias;
import org.springframework.data.annotation.Version;
import org.springframework.data.mongodb.core.mapping.Document;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.ToString;

@Builder(toBuilder = true)
@ToString
@Getter
@AllArgsConstructor(access = AccessLevel.PUBLIC)
@Document(collection = OzgCloudFile.COLLECTION_NAME)
@TypeAlias("OzgCloudFile")
public class OzgCloudFile {

	public static final String COLLECTION_NAME = "ozgCloudFile";

	static final String FIELD_ID = "_id";
	static final String FIELD_VERSION = "version";
	static final String FIELD_FILE_NAME = "name";
	static final String FIELD_CONTENT_TYPE = "contentType";
	static final String FIELD_SIZE = "size";
	static final String FIELD_CONTENT_ID = "contentId";
	static final String FIELD_CLIENT = "client";
	static final String FIELD_VORGANG_ID = "vorgangId";
	static final String FIELD_CREATED_BY = "createdBy";
	static final String FIELD_FIELD_NAME = "fieldName";

	@Id
	private String id;
	@Version
	private long version;
	private String vorgangId;
	private String name;
	private Long size;
	private String contentType;
	private String fieldName;
	private String client;
	private String contentId;
	private String createdBy;
}
