/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.vorgang;

import lombok.Builder;
import lombok.Getter;

@Builder(toBuilder = true)
@Getter
public class FindVorgangRequest {

	enum OrderCriteria {
		PRIORITY, EA_PRIORITY, CREATED_AT_DESC, NEXT_WIEDERVORLAGE_FRIST
	}

	private FilterCriteria filterBy;
	private String searchBy;
	private FindVorgangQuery findVorgangQuery;
	@Builder.Default
	private OrderCriteria orderBy = OrderCriteria.PRIORITY;
	@Builder.Default
	private int limit = 50;
	private int offset;
}
