/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.vorgang;

import java.time.ZonedDateTime;

import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.TypeAlias;
import org.springframework.data.mongodb.core.mapping.Document;

import lombok.Builder;
import lombok.Getter;

@Builder
@Getter
@Document(collection = Vorgang.COLLECTION_NAME)
@TypeAlias("VorgangStub")
public class VorgangStub {

	@Id
	private String id;
	@Builder.Default
	private Vorgang.Status status = Vorgang.Status.DELETED;

	private String name;
	private ZonedDateTime createdAt;
	@Builder.Default
	private ZonedDateTime deletedAt = ZonedDateTime.now();

	private VorgangHeadStub header;

	private EingangStub eingangs;

}

@Builder
@Getter
class VorgangHeadStub {
	private String organisationsEinheitId;
}

@Builder
@Getter
class EingangStub {
	private ZustaendigeStelleStub zustaendigeStelle;
}

@Builder
@Getter
class ZustaendigeStelleStub {
	private String organisationseinheitenId;
}
