/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.clientattribute;

public class ClientAttributesMapTestFactory {

	public static final ClientAttributesMap create() {
		return createWithAttribute(ClientAttributeTestFactory.create());
	}

	public static final ClientAttributesMap createWithAttribute(ClientAttribute clientAttribute) {
		var attributes = new ClientAttributesMap();
		attributes.put(clientAttribute.getClientName(), createAttributeMap(clientAttribute));

		return attributes;
	}

	public static final ClientAttributeMap createAttributeMap(ClientAttribute clientAttribute) {
		var attributeMap = new ClientAttributeMap();
		attributeMap.put(clientAttribute.getAttributeName(), clientAttribute.toBuilder().clientName(null).attributeName(null).build());

		return attributeMap;
	}

}
