/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.clientattribute;

import static de.ozgcloud.vorgang.clientattribute.ClientAttributeTestFactory.*;

import de.ozgcloud.vorgang.callcontext.CallContextTestFactory;
import de.ozgcloud.vorgang.grpc.clientAttribute.GrpcAccessPermission;
import de.ozgcloud.vorgang.grpc.clientAttribute.GrpcClientAttribute;
import de.ozgcloud.vorgang.grpc.clientAttribute.GrpcClientAttributeValue;

public class GrpcClientAttributeTestFactory {

	public static GrpcClientAttribute create() {
		return createBuilder().build();
	}

	public static GrpcClientAttribute withValue(GrpcClientAttributeValue value) {
		return createBuilder().setValue(value).build();
	}

	public static GrpcClientAttribute.Builder createBuilder() {
		return GrpcClientAttribute.newBuilder()
				.setClientName(CallContextTestFactory.CLIENT)
				.setAttributeName(ATTRIBUTE_NAME)
				.setAccess(GrpcAccessPermission.valueOf(ACCESS_PERMISSION.toString()))
				.setValue(GrpcClientAttributeValue.newBuilder().setIntValue(INT_VALUE).build());
	}
}