/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.command;

import java.util.List;

import de.ozgcloud.vorgang.callcontext.UserTestFactory;
import de.ozgcloud.vorgang.grpc.command.GrpcUser;

public class GrpcUserTestFactory {

	public static final String ID = UserTestFactory.ID;
	public static final String NAME = "Udo Jürgens";
	public static final String ROLE1 = "testrole1";
	public static final String ROLE2 = "testrole2";

	public static GrpcUser create() {
		return createBuilder().build();
	}

	public static GrpcUser.Builder createBuilder() {
		return GrpcUser.newBuilder()
				.setId(ID)
				.setName(NAME)
				.addAllRoles(List.of(ROLE1, ROLE2));
	}
}
