/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.common.operator;

import de.ozgcloud.vorgang.common.operator.EqualOperator.EqualOperatorBuilder;
import de.ozgcloud.vorgang.common.operator.LessThenOperator.LessThenOperatorBuilder;

public class OperatorTestFactory {

	public static final String PATH = "field";
	public static final String STRING_VALUE = "value";
	public static final int INT_VALUE = 1;

	public static Operator createEqualOperator() {
		return createEqualOperatorBuilder().build();
	}

	public static EqualOperatorBuilder createEqualOperatorBuilder() {
		return EqualOperator.builder()
				.fieldPath(PATH)
				.operand(STRING_VALUE);
	}

	public static Operator createLessThenOperator() {
		return createLessThenOperatorBuilder().build();
	}

	public static LessThenOperatorBuilder createLessThenOperatorBuilder() {
		return LessThenOperator.builder()
				.fieldPath(PATH)
				.operand(INT_VALUE);
	}
}
