/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.files;

import de.ozgcloud.vorgang.grpc.binaryFile.GrpcBinaryFileMetadata;
import de.ozgcloud.vorgang.vorgang.VorgangTestFactory;

public class GrpcBinaryFileMetadataTestFactory {

	public static final String FILE_ID = OzgCloudFileTestFactory.ID.toString();
	public static final String VORGANG_ID = VorgangTestFactory.ID;
	public static final String CONTENT_TYPE = OzgCloudFileTestFactory.CONTENT_TYPE;
	public static final String FILE_NAME = OzgCloudFileTestFactory.NAME;

	public static GrpcBinaryFileMetadata create() {
		return createBuilder().build();
	}

	public static GrpcBinaryFileMetadata.Builder createBuilder() {
		return GrpcBinaryFileMetadata.newBuilder()
				.setFileId(FILE_ID)
				.setContentType(CONTENT_TYPE)
				.setFileName(FILE_NAME);
	}
}