/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.files;

import com.google.protobuf.ByteString;

import de.ozgcloud.vorgang.grpc.binaryFile.GrpcUploadBinaryFileRequest;
import de.ozgcloud.vorgang.vorgang.IncomingFileTestFactory;

public class GrpcUploadBinaryFileRequestTestFactory {

	static final ByteString FILE_CONTENT = ByteString.copyFrom(IncomingFileTestFactory.CONTENT);

	public static GrpcUploadBinaryFileRequest create() {
		return createBuilder().build();
	}

	public static GrpcUploadBinaryFileRequest.Builder createBuilder() {
		return GrpcUploadBinaryFileRequest.newBuilder()
				.setFileContent(FILE_CONTENT)
				.setMetadata(GrpcUploadBinaryFileMetaDataTestFactory.create());
	}
}