/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.statistic;

import de.ozgcloud.vorgang.common.GrpcQueryOperator;
import de.ozgcloud.vorgang.statistic.GrpcVorgangStatisticQuery.GroupMethod;

public class GrpcVorgangStatisticQueryTestFactory {

	static final String OPERAND_STRING_VALUE = "NEU";
	static final GroupMethod GROUP_METHOD = GroupMethod.COUNT;
	static final String QUERY_PATH = "Vorgang.status";
	static final String PATH = "status";
	static final String RESULT_NAME = "countByStatusNeu";

	static GrpcVorgangStatisticQuery create() {
		return createBuilder().build();
	}

	static GrpcVorgangStatisticQuery.Builder createBuilder() {
		return GrpcVorgangStatisticQuery.newBuilder()
				.setResultName(RESULT_NAME)
				.setGroupMethod(GROUP_METHOD)
				.setPath(QUERY_PATH)
				.setOperator(GrpcQueryOperator.EQUAL)
				.setOperandStringValue(OPERAND_STRING_VALUE);
	}
}
