/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.statistic;

import de.ozgcloud.vorgang.statistic.VorgangStatisticRequest.VorgangStatisticRequestBuilder;

public class VorgangStatisticRequestTestFactory {

	public static final String RESULT_NAME = "resultName";
	public static final String REQUEST_FIELD_PATH = "Vorgang.fieldPath";
	public static final String FIELD_PATH = "fieldPath";
	public static final StatisticGroupMethod STATISTIC_GROUP_METHOD = StatisticGroupMethod.COUNT;

	public static VorgangStatisticRequest create() {
		return createBuilder().build();
	}

	public static VorgangStatisticRequestBuilder createBuilder() {
		return VorgangStatisticRequest.builder()
				.resultName(RESULT_NAME)
				.fieldPath(REQUEST_FIELD_PATH)
				.statisticGroupMethod(STATISTIC_GROUP_METHOD)
				.operator(OperatorTestFactory.create());
	}
}
