/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.vorgang.vorgang;

import java.time.ZonedDateTime;

import de.ozgcloud.vorgang.servicekonto.GrpcServiceKontoTestFactory;

public class GrpcEingangHeaderTestFactory {

	private final static String REQUEST_ID = EingangHeaderTestFactory.REQUEST_ID;
	private final static String CREATED_AT_STR = EingangHeaderTestFactory.CREATED_AT_STR;
	public static final ZonedDateTime CREATED_AT = EingangHeaderTestFactory.CREATED_AT;

	private final static String FORM_ID = EingangHeaderTestFactory.FORM_ID;
	public final static String FORM_NAME = EingangHeaderTestFactory.FORM_NAME;
	private final static String SENDER = EingangHeaderTestFactory.SENDER;

	public static GrpcEingangHeader create() {
		return createBuilder().build();
	}

	public static GrpcEingangHeader.Builder createBuilder() {
		return GrpcEingangHeader.newBuilder()
				.setRequestId(REQUEST_ID)
				.setCreatedAt(CREATED_AT_STR)
				.setFormId(FORM_ID)
				.setFormName(FORM_NAME)
				.setFormEngineName(VorgangTestFactory.FORM_ENGINE_NAME)
				.setVorgangNummer(EingangHeaderTestFactory.VORGANG_NUMMER)
				.setSender(SENDER)
				.setServiceKonto(GrpcServiceKontoTestFactory.create());
	}
}